#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=carlsbad2.8_depth_histogram.ps
projection=-JX12/10
region=-R0/15/0/16
gmt pshistogram $projection $region -W1 -F -Gcyan -L1p -Z0 -Bxa5f1+l'Depth (km)' -Bya10f1+lCounts -BWeSn+t'Focal Depths carlsbad2.8' -K <<END>> $psfile
     7.000
     8.000
     7.000
     8.000
     8.000
     8.000
     7.000
     6.000
     7.000
     7.000
     8.000
     8.000
     6.000
     7.000
     7.000
     7.000
     9.000
     8.000
     8.000
     8.000
     7.000
     9.000
     7.000
     5.000
     7.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica,black+a0.+jBL -O << END >> $psfile
    15.040     1.000 Median of constrained depths =  7.0
END
